Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QGridWidget

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QGridWidget class reference

### Public Functions

- QGridWidget ( int n, QWidget * parent, const char * name, Qt::WFlags f )
- QGridWidget ( int n, Qt::Orientation orientation, QWidget * parent, const char * name, Qt::WFlags f )

## Member Function Documentation

### QGridWidget::QGridWidget ( int n, QWidget * parent, const char * name, Qt::WFlags f )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QGridWidget::QGridWidget ( int n, Qt::Orientation orientation, QWidget * parent, const char * name, Qt::WFlags f )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.